This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1262572 - RFE: dnf --advisory=FEDORA-2015-nnnn
RFE: dnf --advisory=FEDORA-2015-nnnn
Status: CLOSED DUPLICATE of bug 1234930
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-12 19:41 EDT by Kevin Kofler
Modified: 2015-09-16 10:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-16 10:26:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2015-09-12 19:41:30 EDT
Description of problem:
The old yum supports the following syntax (formerly part of the yum-security plugin, which was merged into the yum core at some point) to update all packages from a given update group:
yum --enablerepo=updates-testing --advisory=FEDORA-2015-15543 update
Unfortunately, it looks like dnf does not support that. (At least it is not documented.) This is an essential feature for testing large update groups with many packages and even more subpackages. (The command lines suggested by Bodhi will usually NOT work because Bodhi does not enumerate the subpackages. There is a longstanding RFE to make it use --advisory instead, but dnf needs to support it first.)
Comment 1 Radek Holy 2015-09-16 10:26:58 EDT
I believe that this is closely related to the bug 1234930, so let me close this as a duplicate.

*** This bug has been marked as a duplicate of bug 1234930 ***

Note You need to log in before you can comment on or make changes to this bug.